Forum: Ruby-Forum.com New installation: Regexp anchor characters are not allowed..

1bd0ef3d806aa0d512fc93c2953b7267?d=identicon&s=25 Guillermo Gómez (gomix)
on 2008-10-14 22:21
Im trying a new installation with the following problem:

#  RAILS_ENV=production rake migrate --trace
(in /var/www/rforum-0.2)
rake aborted!
Regexp anchor characters are not allowed in routing requirements:
/^[0-9]+$/
/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/routing.rb:954:in
`assign_route_options'
/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/routing.rb:949:in
`each'
/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/routing.rb:949:in
`assign_route_options'
/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/routing.rb:1023:in
`build'
/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/routing.rb:1301:in
`add_route'
/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/routing.rb:1065:in
`connect'
/var/www/rforum-0.2/config/routes.rb:3
/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/routing.rb:1250:in
`draw'
/var/www/rforum-0.2/config/routes.rb:1
/var/lib/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:489:in
`load'
/var/lib/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:489:in
`load'
/var/lib/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:342:in
`new_constants_in'
/var/lib/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:489:in
`load'
/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/routing.rb:1293:in
`load_routes!'
/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/routing.rb:1273:in
`load!'
/var/lib/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/routing.rb:1288:in
`reload'
/var/lib/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:293:in
`initialize_routing'
/var/lib/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:111:in `process'
/var/lib/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:49:in `send'
/var/lib/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:49:in `run'
/var/www/rforum-0.2/config/environment.rb:10
/var/www/rforum-0.2/Rakefile.rb:9:in `require'
/var/www/rforum-0.2/Rakefile.rb:9
/usr/lib/ruby/1.8/rake.rb:2149:in `load'
/usr/lib/ruby/1.8/rake.rb:2149:in `raw_load_rakefile'
/usr/lib/ruby/1.8/rake.rb:1897:in `load_rakefile'
/usr/lib/ruby/1.8/rake.rb:1948:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1896:in `load_rakefile'
/usr/lib/ruby/1.8/rake.rb:1880:in `run'
/usr/lib/ruby/1.8/rake.rb:1948:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1878:in `run'
/usr/bin/rake:28

Any clues on why o how to fix this?
Please log in before posting. Registration is free and takes only a minute.
Existing account

NEW: Do you have a Google/GoogleMail, Yahoo or Facebook account? No registration required!
Log in with Google account | Log in with Yahoo account | Log in with Facebook account
No account? Register here.